Bug 529533 - "Draw spaces" > "Display non-breaking spaces" does not work anymore
Summary: "Draw spaces" > "Display non-breaking spaces" does not work anymore
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit-plugins
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 543311
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-18 12:06 UTC by Thomas Canniot
Modified: 2010-11-04 20:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 20:08:55 UTC
Type: ---


Attachments (Terms of Use)

Description Thomas Canniot 2009-10-18 12:06:30 UTC
Description of problem:
Display non-breaking spaces does not work on gedit-plugins. F12 Beta and F11 are concerned by this bug.

Version-Release number of selected component (if applicable):
gedit-plugins-2.26.1-1.fc11.i586

How reproducible:
Always, on multiple systems and installations.

Steps to Reproduce:
1. install gedit-plugins
2. open gedit and goes to Edit > preferences > Plugins Tab > Draw Spaces > Configure Plugins
3. Tick the "Draw non-breaking spaces" box and close the window.
4. Configure again the plugins and notice the "Draw non-breaking spaces" box is not ticked.
  
Actual results:
"Draw non-breaking spaces" box is not ticked

Expected results:
Sould be ticked and should display non breaking spaces.


Additional info:

Comment 1 Thomas Canniot 2009-10-25 15:34:00 UTC
This bug seems corrected in gedit-plugins-2.28, could you please update the package asap please ?

Regards,

Comment 2 Pierre-YvesChibon 2009-10-25 15:42:10 UTC
I confirm the bug:

$ rpm -q gedit-plugins
gedit-plugins-2.26.1-1.fc11.x86_64

Comment 3 Rakesh Pandit 2009-11-09 09:59:17 UTC
May you check whether this is reproducible from new build
http://koji.fedoraproject.org/koji/buildinfo?buildID=140390

Thanks,

Comment 4 Thomas Canniot 2009-11-15 13:09:32 UTC
No it does not work :(

Comment 5 Bug Zapper 2009-11-16 13:47:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Thomas Canniot 2009-11-28 09:27:45 UTC
Do you have any news about it ?

Comment 7 Rakesh Pandit 2009-11-28 09:58:13 UTC
give me a week .. thanks for your patience .. I will check it in few days.

Comment 8 Rakesh Pandit 2009-11-30 09:25:45 UTC
https://bugzilla.gnome.org/show_bug.cgi?id=603346

I will looking into and talking to upstream.

Thanks,

Comment 9 Rakesh Pandit 2009-12-01 19:57:41 UTC
As you already know https://bugzilla.gnome.org/show_bug.cgi?id=603346 is fixed now.

Fix is in git and I have already build up for rawhide. Which seems to be ok except I seem to see gedit crashing on rawhide. Will check with that and import to the fix to stable fedora package in few days.

Thanks for reporting and follwing up,

Comment 10 Rakesh Pandit 2009-12-02 09:27:55 UTC
Okay new gedit-plugins 2.29.3 works. The problem with gedit was it did not worked with gtk2 < 2.19.0 which it is supposed to work. So, I will report upstream. Have closed gedit bug as it already has gtk2 > 2.19.0.

So, problem solved it rawhide. Will need to backport fixes in stable releases.

Thanks,

Comment 11 Bug Zapper 2010-11-04 09:23:49 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.